---
title: "Création"
weight: 1
output:
  blogdown::html_page:
    toc: false
    fig_width: 6
    dev: "svg"
---

<script src="/rmarkdown-libs/header-attrs/header-attrs.js"></script>


<script src="https://polyfill.io/v3/polyfill.min.js?features=es6"></script>
<script id="MathJax-script" async src="https://cdn.jsdelivr.net/npm/mathjax@3/es5/tex-mml-chtml.js"></script>
<div id="création-dobjets." class="section level3">
<h3>Création d’objets.</h3>
<p>Pour créer un objet, il faut lui assigner:
- un nom,
- une valeur.</p>
<p>Pour cela, un signe d’assignation (<code>&lt;-</code>, <code>-&gt;</code>, ou <code>=</code>).</p>
<ul>
<li>Exécuter:</li>
</ul>
<pre class="r"><code>x&lt;-0
1-&gt;y
z.ijwjijf=2</code></pre>
<p>Un nom d’objet ne peut commencer par un nombre, ni contenir certains caractères spéciaux, dont <code>:</code>,<code>^</code>,<code>-</code>,<code>+</code>,<code>/</code>,<code>\</code>,<code>*</code>,<code>&lt;</code>,<code>&gt;</code>,<code>,</code>,<code>!</code>,<code>@</code>,<code>%</code>,<code>&amp;</code>, <code>$</code>, <code>~</code>, <code>(</code>, <code>)</code>, <code>[</code>,<code>]</code>,<code>{</code>, <code>}</code>, et <code>;</code>.</p>
<p>Pour résumer seul le point est autorisé.</p>
<p>La création d’un objet ne donne pas lieu à l’affichage d’un résultat dans la console.
Pour afficher la valeur d’un objet créé, il suffit d’éxécuter la commande qui contient son nom:</p>
<ul>
<li>Exécuter:</li>
</ul>
<pre class="r"><code>x&lt;-0
x</code></pre>
<ul>
<li>Les lettres majuscules et minuscules importent!</li>
</ul>
<pre class="r"><code>x&lt;-1
X=2
x;X</code></pre>
<pre><code>## [1] 1</code></pre>
<pre><code>## [1] 2</code></pre>
<p>Un objet peut se voir réassigner une nouvelle valeur.</p>
<ul>
<li>Exécuter:</li>
</ul>
<pre class="r"><code>x&lt;-0
x
x&lt;-1
x</code></pre>
</div>
